Subject: Re: [PATCH 2/9] v3 Add mutex for adding/removing memory blocks

From: Robin Holt <[email-masked]>
Date: Fri, 1 Oct 2010 13:45:38 -0500

On Fri, Oct 01, 2010 at 01:29:42PM -0500, Nathan Fontenot wrote:
> Add a new mutex for use in adding and removing of memory blocks.  This
> is needed to avoid any race conditions in which the same memory block could
> be added and removed at the same time.
> 
> Signed-off-by: Nathan Fontenot <[email-masked]>

Reviewed-by: Robin Holt <[email-masked]>

I am fine with this patch by itself, but its only real function is
to protect the count introduced by the next patch.  You might want to
combine the patches, but if not, that is fine as well.

Robin